Bug 622575 - networking may go away after migration due to missing arp update
Summary: networking may go away after migration due to missing arp update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Paolo Bonzini
QA Contact: Network QE
URL:
Whiteboard:
Depends On: 622574
Blocks: 653816
TreeView+ depends on / blocked
 
Reported: 2010-08-09 19:17 UTC by Paolo Bonzini
Modified: 2011-08-30 07:26 UTC (History)
4 users (show)

Fixed In Version: kernel-2.6.32-117.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 622574
Environment:
Last Closed: 2011-05-19 12:40:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
backport (6.27 KB, patch)
2011-01-05 11:33 UTC, Paolo Bonzini
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC

Description Paolo Bonzini 2010-08-09 19:17:11 UTC
+++ This bug was initially created as a clone of Bug #622574 +++

The following patches upstream implement gratuitous ARP notification.  They would be useful in RHEL5 and RHEL6 as well.

eefef1cf (net: add ARP notify option for devices, 2009-02-01)
a21090cf (ipv4: arp_notify address list bug, 2009-10-07)
http://kerneltrap.org/mailarchive/linux-netdev/2010/5/26/6278032
http://kerneltrap.org/mailarchive/linux-netdev/2010/5/26/6278033
http://kerneltrap.org/mailarchive/linux-netdev/2010/5/26/6278031

The last three are scheduled for merge in 2.6.36 (http://www.spinics.net/lists/netdev/msg137066.html).

--- Additional comment from pbonzini@redhat.com on 2010-08-09 15:16:11 EDT ---

See http://lists.xensource.com/archives/html/xen-devel/2009-06/msg00185.html for a report of this happening.

Comment 1 Paolo Bonzini 2010-08-12 04:15:02 UTC
The patches are scheduled for 2.6.32.y, so we'll probably get them from there.

Comment 2 RHEL Program Management 2010-11-18 16:19:42 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 3 Paolo Bonzini 2011-01-05 11:33:03 UTC
Created attachment 471838 [details]
backport

Comment 4 Aristeu Rozanski 2011-02-18 22:14:51 UTC
Patch(es) available on kernel-2.6.32-117.el6

Comment 9 errata-xmlrpc 2011-05-19 12:40:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html


Note You need to log in before you can comment on or make changes to this bug.